Package org.jboss.resteasy.plugins.server.servlet

## Class HttpServletResponseHeaders

- java.lang.Object
- - org.jboss.resteasy.plugins.server.servlet.HttpServletResponseHeaders

- All Implemented Interfaces:
    `Map<String,​List<Object>>`, `javax.ws.rs.core.MultivaluedMap<String,​Object>`

      public class HttpServletResponseHeaders
      extends Object
      implements javax.ws.rs.core.MultivaluedMap<String,​Object>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HttpServletResponseHeaders​(javax.servlet.http.HttpServletResponse response, ResteasyProviderFactory factory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(String key, Object value)` |
    `void` | `addAll​(String key, Object... newValues)` |
    `void` | `addAll​(String key, List<Object> valueList)` |
    `void` | `addFirst​(String key, Object value)` |
    `protected void` | `addResponseHeader​(String key, Object value)` |
    `void` | `clear()` |
    `boolean` | `containsKey​(Object o)` |
    `boolean` | `containsValue​(Object o)` |
    `Set<Map.Entry<String,​List<Object>>>` | `entrySet()` |
    `boolean` | `equals​(Object o)` |
    `boolean` | `equalsIgnoreValueOrder​(javax.ws.rs.core.MultivaluedMap<String,​Object> otherMap)` |
    `List<Object>` | `get​(Object o)` |
    `Object` | `getFirst​(String key)` |
    `int` | `hashCode()` |
    `boolean` | `isEmpty()` |
    `Set<String>` | `keySet()` |
    `List<Object>` | `put​(String s, List<Object> objs)` |
    `void` | `putAll​(Map<? extends String,​? extends List<Object>> map)` |
    `protected void` | `putResponseHeader​(String key, Object value)` |
    `void` | `putSingle​(String key, Object value)` |
    `List<Object>` | `remove​(Object o)` |
    `int` | `size()` |
    `Collection<List<Object>>` | `values()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### HttpServletResponseHeaders

          public HttpServletResponseHeaders​(javax.servlet.http.HttpServletResponse response,
                                            ResteasyProviderFactory factory)

  - ### Method Detail

    - #### addAll

          public void addAll​(String key,
                             Object... newValues)

      Specified by:
        `addAll` in interface `javax.ws.rs.core.MultivaluedMap<String,​Object>`

    - #### addAll

          public void addAll​(String key,
                             List<Object> valueList)

      Specified by:
        `addAll` in interface `javax.ws.rs.core.MultivaluedMap<String,​Object>`

    - #### addFirst

          public void addFirst​(String key,
                               Object value)

      Specified by:
        `addFirst` in interface `javax.ws.rs.core.MultivaluedMap<String,​Object>`

    - #### putSingle

          public void putSingle​(String key,
                                Object value)

      Specified by:
        `putSingle` in interface `javax.ws.rs.core.MultivaluedMap<String,​Object>`

    - #### add

          public void add​(String key,
                          Object value)

      Specified by:
        `add` in interface `javax.ws.rs.core.MultivaluedMap<String,​Object>`

    - #### addResponseHeader

          protected void addResponseHeader​(String key,
                                           Object value)

    - #### getFirst

          public Object getFirst​(String key)

      Specified by:
        `getFirst` in interface `javax.ws.rs.core.MultivaluedMap<String,​Object>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Map<String,​List<Object>>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Map<String,​List<Object>>`

    - #### containsKey

          public boolean containsKey​(Object o)

      Specified by:
        `containsKey` in interface `Map<String,​List<Object>>`

    - #### containsValue

          public boolean containsValue​(Object o)

      Specified by:
        `containsValue` in interface `Map<String,​List<Object>>`

    - #### get

          public List<Object> get​(Object o)

      Specified by:
        `get` in interface `Map<String,​List<Object>>`

    - #### put

          public List<Object> put​(String s,
                                  List<Object> objs)

      Specified by:
        `put` in interface `Map<String,​List<Object>>`

    - #### remove

          public List<Object> remove​(Object o)

      Specified by:
        `remove` in interface `Map<String,​List<Object>>`

    - #### putAll

          public void putAll​(Map<? extends String,​? extends List<Object>> map)

      Specified by:
        `putAll` in interface `Map<String,​List<Object>>`

    - #### putResponseHeader

          protected void putResponseHeader​(String key,
                                           Object value)

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Map<String,​List<Object>>`

    - #### keySet

          public Set<String> keySet()

      Specified by:
        `keySet` in interface `Map<String,​List<Object>>`

    - #### values

          public Collection<List<Object>> values()

      Specified by:
        `values` in interface `Map<String,​List<Object>>`

    - #### entrySet

          public Set<Map.Entry<String,​List<Object>>> entrySet()

      Specified by:
        `entrySet` in interface `Map<String,​List<Object>>`

    - #### equals

          public boolean equals​(Object o)

      Specified by:
        `equals` in interface `Map<String,​List<Object>>`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Map<String,​List<Object>>`
      Overrides:
        `hashCode` in class `Object`

    - #### equalsIgnoreValueOrder

          public boolean equalsIgnoreValueOrder​(javax.ws.rs.core.MultivaluedMap<String,​Object> otherMap)

      Specified by:
        `equalsIgnoreValueOrder` in interface `javax.ws.rs.core.MultivaluedMap<String,​Object>`